<?php
	session_start();
	require ("./Funciones/funciones.php");
	$conexion = conecta();
	$nombre = $_REQUEST['nombre'];
	$id = $_GET['id'];
	$activado = 1;
	$eliminado = 0;
	$sql= "SELECT * FROM Categoria where IdCategoria ='$id'";
	$res = mysqli_query($conexion,$sql);
	
	if($id==''){
		$sql = "INSERT INTO categoria VALUES (0, '$nombre',$activado,$eliminado )";
		$res = mysqli_query($conexion,$sql);
		if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"catprod_lista.php\">Lista de administradores</a>");
		}
		else{
	    exit(header("Location: catprod_lista.php"));
	}
	}else{
		
		$sql= "UPDATE categoria SET Descripcion='$nombre' WHERE IdCategoria='$id'";
		$res = mysqli_query($conexion,$sql);
		if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"catprod_lista.php\">Lista de categorias</a>");
		}
		else{
	    exit(header("Location: catprod_lista.php"));
		}
	
}	
?>
